Bug 1425913 - fedpkg-1.27-2.fc26 cannot start successfull builds
Summary: fedpkg-1.27-2.fc26 cannot start successfull builds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-22 18:10 UTC by Kevin Fenzi
Modified: 2017-03-14 13:49 UTC (History)
13 users (show)

Fixed In Version: fedpkg-1.28-1.fc24 fedpkg-1.28-1.el7 fedpkg-1.28-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-08 13:27:32 UTC


Attachments (Terms of Use)

Description Kevin Fenzi 2017-02-22 18:10:24 UTC
With 1.27-2.fc26 installed: 

% fedpkg build
Building ansible-2.2.2.0-0.1.rc1.fc26 for rawhide
Created task: 17995084
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=17995084
Watching tasks (this may be safely interrupted)...
17995084 build (rawhide, /git/rpms/ansible:cd25207cdb65bb22595a28eab10d7bd2f40b84d8): free
17995084 build (rawhide, /git/rpms/ansible:cd25207cdb65bb22595a28eab10d7bd2f40b84d8): free -> open (buildvm-aarch64-18.arm.fedoraproject.org)
17995084 build (rawhide, /git/rpms/ansible:cd25207cdb65bb22595a28eab10d7bd2f40b84d8): open (buildvm-aarch64-18.arm.fedoraproject.org) -> FAILED: Fault: <Fault 1: 'Traceback (most recent call last):\n  File "/usr/lib/python2.7/site-packages/koji/daemon.py", line 1160, in runTask\n    response = (handler.run(),)\n  File "/usr/lib/python2.7/site-packages/koji/tasks.py", line 158, in run\n    return koji.util.call_with_argcheck(self.handler, self.params, self.opts)\n  File "/usr/lib/python2.7/site-packages/koji/util.py", line 156, in call_with_argcheck\n    return func(*args, **kwargs)\n  File "/usr/sbin/kojid", line 835, in handler\n    h = self.readSRPMHeader(srpm)\n  File "/usr/sbin/kojid", line 909, in readSRPMHeader\n    fo = koji.openRemoteFile(relpath, **opts)\n  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 1538, in openRemoteFile\n    src = urllib2.urlopen(url)\n  File "/usr/lib64/python2.7/urllib2.py", line 154, in urlopen\n    return opener.open(url, data, timeout)\n  File "/usr/lib64/python2.7/urllib2.py", line 435, in open\n    response = meth(req, response)\n  File "/usr/lib64/python2.7/urllib2.py", line 548, in http_response\n    \'http\', request, response, code, msg, hdrs)\n  File "/usr/lib64/python2.7/urllib2.py", line 473, in error\n    return self._call_chain(*args)\n  File "/usr/lib64/python2.7/urllib2.py", line 407, in _call_chain\n    result = func(*args)\n  File "/usr/lib64/python2.7/urllib2.py", line 556, in http_error_default\n    raise HTTPError(req.get_full_url(), code, msg, hdrs, fp)\nHTTPError: HTTP Error 404: Not Found\n'>
  0 free  0 open  0 done  1 failed

17995084 build (rawhide, /git/rpms/ansible:cd25207cdb65bb22595a28eab10d7bd2f40b84d8) failed

https://koji.fedoraproject.org/koji/taskinfo?taskID=17995077

downgrading to fedpkg-1.26-6.fc26.noarch gets it working again.

Comment 1 cqi 2017-02-23 00:17:48 UTC
Hi Kevin,

I see the Source parameter is https://src.fedoraproject.org/git/rpms/ansible?#cd25207cdb65bb22595a28eab10d7bd2f40b84d8 . Is this failure build due to an anonymous clone?

Comment 2 Kevin Fenzi 2017-02-23 00:34:17 UTC
No. 

kevin@sheelba ~/git/pkgs/ansible/master (git)-[master] % grep url .git/config
	url = ssh://kevin@pkgs.fedoraproject.org/rpms/ansible
kevin@sheelba ~/git/pkgs/ansible/master (git)-[master] % rpm -q fedpkg
fedpkg-1.27-2.fc26.noarch
kevin@sheelba ~/git/pkgs/ansible/master (git)-[master] % fedpkg build --skip-nvr-check
Building ansible-2.2.2.0-0.1.rc1.fc26 for rawhide
Created task: 18001086
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=18001086
Watching tasks (this may be safely interrupted)...
18001086 build (rawhide, /git/rpms/ansible:cd25207cdb65bb22595a28eab10d7bd2f40b84d8): free
18001086 build (rawhide, /git/rpms/ansible:cd25207cdb65bb22595a28eab10d7bd2f40b84d8): free -> open (buildvm-25.phx2.fedoraproject.org)
18001086 build (rawhide, /git/rpms/ansible:cd25207cdb65bb22595a28eab10d7bd2f40b84d8): open (buildvm-25.phx2.fedoraproject.org) -> FAILED: Fault: <Fault 1: 'Traceback (most recent call last):\n  File "/usr/lib/python2.7/site-packages/koji/daemon.py", line 1160, in runTask\n    response = (handler.run(),)\n  File "/usr/lib/python2.7/site-packages/koji/tasks.py", line 158, in run\n    return koji.util.call_with_argcheck(self.handler, self.params, self.opts)\n  File "/usr/lib/python2.7/site-packages/koji/util.py", line 156, in call_with_argcheck\n    return func(*args, **kwargs)\n  File "/usr/sbin/kojid", line 835, in handler\n    h = self.readSRPMHeader(srpm)\n  File "/usr/sbin/kojid", line 909, in readSRPMHeader\n    fo = koji.openRemoteFile(relpath, **opts)\n  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 1538, in openRemoteFile\n    src = urllib2.urlopen(url)\n  File "/usr/lib64/python2.7/urllib2.py", line 154, in urlopen\n    return opener.open(url, data, timeout)\n  File "/usr/lib64/python2.7/urllib2.py", line 435, in open\n    response = meth(req, response)\n  File "/usr/lib64/python2.7/urllib2.py", line 548, in http_response\n    \'http\', request, response, code, msg, hdrs)\n  File "/usr/lib64/python2.7/urllib2.py", line 473, in error\n    return self._call_chain(*args)\n  File "/usr/lib64/python2.7/urllib2.py", line 407, in _call_chain\n    result = func(*args)\n  File "/usr/lib64/python2.7/urllib2.py", line 556, in http_error_default\n    raise HTTPError(req.get_full_url(), code, msg, hdrs, fp)\nHTTPError: HTTP Error 404: Not Found\n'>
  0 free  0 open  0 done  1 failed

18001086 build (rawhide, /git/rpms/ansible:cd25207cdb65bb22595a28eab10d7bd2f40b84d8) failed

Comment 3 Jens Petersen 2017-02-24 13:06:48 UTC
See https://pagure.io/releng/issue/6661

Comment 4 Pavol Babinčák 2017-02-24 13:13:26 UTC
(In reply to Jens Petersen from comment #3)
> See https://pagure.io/releng/issue/6661

That one is unrelated to this issue. Fedora uses fedpkg-minimal in its buildroots not fedpkg:

ramona:~ $ koji list-groups f26-build srpm-build     
srpm-build  [f26]
  bash: None, mandatory  [f26]
  fedora-release: None, mandatory  [f26]
  fedpkg-minimal: None, mandatory  [f26]
  gnupg2: None, mandatory  [f26]
  redhat-rpm-config: None, mandatory  [f26]
  rpm-build: None, mandatory  [f26]
  shadow-utils: None, mandatory  [f26]

ramona:~ $ koji latest-build f26-build fedpkg-minimal 
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
fedpkg-minimal-1.1.0-8.fc26               f26                   releng

Comment 5 Fedora Update System 2017-02-27 13:16:07 UTC
fedpkg-1.28-1.fc24 rpkg-1.49-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3dec6f6f81

Comment 6 Fedora Update System 2017-02-27 13:16:17 UTC
fedpkg-1.28-1.fc24 rpkg-1.49-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3dec6f6f81

Comment 7 Fedora Update System 2017-02-27 13:19:31 UTC
fedpkg-1.28-1.el6 rpkg-1.49-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0924d37fc2

Comment 8 Fedora Update System 2017-02-27 13:19:41 UTC
fedpkg-1.28-1.el6 rpkg-1.49-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0924d37fc2

Comment 9 Fedora Update System 2017-02-27 13:22:11 UTC
fedpkg-1.28-1.el7 rpkg-1.49-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-61adf7d645

Comment 10 Fedora Update System 2017-02-27 13:22:21 UTC
fedpkg-1.28-1.el7 rpkg-1.49-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-61adf7d645

Comment 11 Christian Dersch 2017-02-27 14:19:17 UTC
Please provide that update for Fedora 25 too

Comment 12 Christian Dersch 2017-02-27 14:20:38 UTC
https://bodhi.fedoraproject.org/updates/FEDORA-2017-712d2712f3 OK, bodhi search just shows wrong version, update is fine

Comment 13 Fedora Update System 2017-02-27 23:18:57 UTC
fedpkg-1.28-1.el7, rpkg-1.49-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-61adf7d645

Comment 14 Fedora Update System 2017-02-27 23:51:15 UTC
fedpkg-1.28-1.fc24, rpkg-1.49-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3dec6f6f81

Comment 15 Fedora Update System 2017-02-28 04:46:33 UTC
fedpkg-1.28-1.el6, rpkg-1.49-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0924d37fc2

Comment 16 Fedora End Of Life 2017-02-28 12:24:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 17 Fedora Update System 2017-03-08 13:27:32 UTC
fedpkg-1.28-1.fc24, rpkg-1.49-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-03-14 13:48:25 UTC
fedpkg-1.28-1.el7, rpkg-1.49-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-03-14 13:49:34 UTC
fedpkg-1.28-1.el6, rpkg-1.49-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.